<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

class CRMLAB_FORMAdminMain
{

	public $plugin_name;

	/*
	* CRMLAB_FORMAdminMain constructor
	*/
	public function __construct()
	{

		$this->plugin_name = CRMLAB_FORM_PLUGN_BASE_NAME;

		$this->CRMLAB_FORM_include();

	}

	/*
	* Include the necessary basic files for the admin panel
	*/
	public function CRMLAB_FORM_include()
	{

		// require database-talk class
		require_once CRMLAB_FORM_PLUGIN_ABS_PATH . 'includes/admin/class-database-talk.php';

	}

	/*
	* Registration of styles and scripts
	*/
	public function CRMLAB_FORM_register()
	{

		// register scripts and styles
		add_action( 'admin_enqueue_scripts', array( $this, 'CRMLAB_FORM_enqueue' ) );

		// register admin menu
		add_action( 'admin_menu', array( $this, 'add_admin_pages' ) );

		// add link Settings under the name of the plugin
		add_filter( "plugin_action_links_$this->plugin_name", array( $this, 'settings_link' ) );

	}

		public function CRMLAB_FORM_enqueue()
		{

			wp_enqueue_style( 'CRMLAB_FORM_font_awesome', CRMLAB_FORM_PLUGIN_URL . 'assets/font-awesome-4.6.3/css/font-awesome.min.css' );

			wp_enqueue_style( 'CRMLAB_FORM_admin_style', CRMLAB_FORM_PLUGIN_URL . 'includes/admin/assets/css/style.css', array( 'CRMLAB_FORM_font_awesome' ), CRMLAB_FORM_PLUGIN_VERSION, 'all' );

			wp_enqueue_script( 'CRMLAB_FORM_admin_script', CRMLAB_FORM_PLUGIN_URL . 'includes/admin/assets/js/script.js', array( 'jquery' ), CRMLAB_FORM_PLUGIN_VERSION, false );

		}

		// register admin menu
		public function add_admin_pages()
		{

			add_menu_page( 
						__( 'Ajustes CRMLAB connect', 'CRMLAB_FORM-domain' ), 
						__( 'CRMLAB Connect', 'CRMLAB_FORM-domain' ), 
						'manage_options', 
						'crmlab_form', 
						array( $this, 'admin_index' ), 
						CRMLAB_FORM_PLUGIN_URL.'assets/icon.png', 
						111 
			); // icons https://developer.wordpress.org/resource/dashicons/#id

			// add submenu
			add_submenu_page( 'crmlab_form', __( 'Gestión de formularios', 'CRMLAB_FORM-domain' ), __( 'Formularios', 'CRMLAB_FORM-domain' ), 'manage_options', 'admin_index', array( $this, 'admin_index' ) );



			// add submenu
			add_submenu_page( 'crmlab_form', __( 'Ajustes CRMLAB connect', 'CRMLAB_FORM-domain' ), __( 'Configuración', 'CRMLAB_FORM-domain' ), 'manage_options', 'crmlab_form_shortcode', array( $this, 'page_distributor' ) );

  			remove_submenu_page('crmlab_form','crmlab_form');

			

		}

			public function admin_index()
			{
				
				// require index page
				CRMLAB_FORM_require_template_admin( 'index.php' );






			}

			public function page_distributor()
			{

				// require main menu



				if ($_GET['U'] && $_GET['T']) {

					// Create table
					global $wpdb;

					// Table name
					$table_name =  $wpdb->prefix . "options";

					$myrows = $wpdb->get_results( "SELECT * FROM $table_name WHERE option_name = 'crmlab_options'" );



					$array['usr'] = $_GET['U'];
					$array['tid'] = $_GET['T'];
					$array['domain'] = $_GET['D'];

					if ($myrows) {
						# code...
						$wpdb->update( 
							$table_name, 
							array( 
								'option_name' => 'crmlab_options', 
								'option_value' => json_encode($array) 
							), 
							array( 'option_name' => 'crmlab_options' )
						);
					}else{

						$wpdb->insert( 
							$table_name, 
							array( 
								'option_name' => 'crmlab_options', 
								'option_value' => json_encode($array) 
							)
						);
					}
				}




				CRMLAB_FORM_require_template_admin( 'mi-crmlab.php' );


				switch( $_GET['p'] ){

					case 'page1' :
						$action = 'page1.php';
						break;

					case 'page2' :
						$action = 'page2.php';
						break;

					default :
						//$action = 'index.php';
						break;

				}

				// require pages
				CRMLAB_FORM_require_template_admin( $action );

			}

		// add settings link
		public function settings_link( $links )
		{

			$settings_link = '<a href="admin.php?page=crmlab_form">Settings</a>'; // options-general.php

			array_push( $links, $settings_link );

			return $links;

		}

}

// Initialize
$initialize_class = new CRMLAB_FORMAdminMain();

// Apply scripts and styles
$initialize_class->CRMLAB_FORM_register();