<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

class CRMLAB_FORMDataBaseTalk
{

	/*
	* CRMLAB_FORMDataBaseTalk constructor
	*/
	public function __construct()
	{

		$this->CRMLAB_FORM_observe_update_data();

	}

	/*
	* Observe function
	*/
	public function CRMLAB_FORM_observe_update_data()
	{

		add_action( 'wp_ajax_CRMLAB_FORM_update', array( $this, 'prepare_update_script' ) );

	}

	/*
	* Prepare for data updates
	*/
	public function prepare_update_script()
	{
		
		// Checked POST nonce is not empty
		if( empty( $_POST['nonce'] ) ) wp_die( '0' );

		// Checked or nonce match
		if( wp_verify_nonce( $_POST['nonce'], 'CRMLAB_FORM_nonce_request' ) ){

			// Update data
			$this->update_script( $_POST['CRMLAB_FORM_some_string'] );		

		}

		wp_die();

	}

		// Update data
		public function update_script( $string )
		{

			$clean_string = str_replace( '\\', '', esc_html( $string ) );

			global $wpdb;

			$table_name = $wpdb->prefix . crmlab_forms;

			$wpdb->update(

				$table_name, 
				array(
					'some_field' => $clean_string,
				), 
				array( 'id' => 1 ), 
				array( 
					'%s'
				)

			);

		}

}

// New instance
new CRMLAB_FORMDataBaseTalk();